# $Revision: 1.5 $, $Date: 2002/09/03 21:41:07 $
Summary:	DOM level2 library for accessing XML files
Summary(pl):	Biblioteka dostpu do plikw XML, DOM poziom 2
Name:		gdome2
Version:	0.7.2
Release:	1
License:	LGPL
Group:		Libraries
URL:		http://phd.cs.unibo.it/gdome2/
Source0:	http://phd.cs.unibo.it/gdome2/tarball/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac.patch
BuildRequires:	libxml2-devel >= 2.4.21
BuildRequires:	glib-devel >= 1.2.10
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	glib >= 1.2.10
Requires:	libxml2 >= 2.4.19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gdome2 is a fast, light and complete DOM level2 implementation based
on libxml2. Although it has been written for the GNOME project, it can
be used stand-alone.

A DOM implementation (also called a host implementation) is what makes
a parsed XML or HTML document available for processing via the DOM
interface.

gdome2 currently supports the "Core", "XML", "Events" and
"MutationEvents" modules from the DOM2 Recommendation (see
http://www.w3.org/TR/DOM-Level-2-Core/ and
http://www.w3.org/TR/DOM-Level-2-Events/), and is supposed to become a
full implementation of all the DOM Level2 standard.

Now gdome2 also partially supports the XPath module from the DOM level
3 drafts.

%description -l pl
gdome2 jest szybk, lekk i kompletn implementacj DOM poziom 2
opart o libxml2. Pomimo, e gdome2 zostao napisane z myl o
projekcie GNOME moe by uywane samodzielnie.

Implementacja DOM (zwana rwnie implementacj hosta) udostpnia
przeparsowany dokument XML lub HTML dla dalszego przetwarzania poprzez
interfejs DOM.

gdome2 w chwili obecnej wspiera nastpujce moduy rekomendacji DOM2:
"Core", "XML", "Events" oraz "MutationEvents" (wicej informacji mona
uzyska pod adresem http://www.w3.org/TR/DOM-Level-2-Core/ oraz
http://www.w3.org/TR/DOM-Level-2-Events/), a w przyszoci ma zosta
pen implementacj standardu DOM Poziom 2.

gdome2 wspiera rwnie czciowo DOM Poziom 3, konkretnie XPath.

%package devel
Summary:	Development files for gdome2
Summary(pl):	Pliki nagwkowe gdome2
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib-devel >= 1.2.10
Requires:	libxml2-devel >= 2.4.21

%description devel
This package contains the header files and configuration scripts for
developing with gdome2.

gdome2 is a fast, light and complete DOM level2 implementation based
on libxml2. Although it has been written for the GNOME project, it can
be used stand-alone.

A DOM implementation (also called a host implementation) is what makes
a parsed XML or HTML document available for processing via the DOM
interface.

gdome2 currently supports the "Core", "XML", "Events" and
"MutationEvents" modules from the DOM2 Recommendation (see
http://www.w3.org/TR/DOM-Level-2-Core/ and
http://www.w3.org/TR/DOM-Level-2-Events/), and is supposed to become a
full implementation of all the DOM Level2 standard.

Now gdome2 also partially supports the XPath module from the DOM level
3 drafts.

%description -l pl
Pakiet ten zawiera pliki nagwkowe oraz skrypty konfiguracyjne
potrzebne do rozwiajania oprogramowania opartego o gdome2.

gdome2 jest szybk, lekk i kompletn implementacj DOM poziom 2
opart o libxml2. Pomimo, e gdome2 zostao napisane z myl o
projekcie GNOME moe by uywane samodzielnie.

Implementacja DOM (zwana rwnie implementacj hosta) udostpnia
przeparsowany dokument XML lub HTML dla dalszego przetwarzania poprzez
interfejs DOM.

gdome2 w chwili obecnej wspiera nastpujce moduy rekomendacji DOM2:
"Core", "XML", "Events" oraz "MutationEvents" (wicej informacji mona
uzyska pod adresem http://www.w3.org/TR/DOM-Level-2-Core/ oraz
http://www.w3.org/TR/DOM-Level-2-Events/), a w przyszoci ma zosta
pen implementacj standardu DOM Poziom 2.

gdome2 wspiera rwnie czciowo DOM Poziom 3, konkretnie XPath.

%package static
Summary:	Static libraries for gdome2
Summary(pl):	Biblioteki statyczne dla gdome2
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib-devel >= 1.2.10
Requires:	libxml2-devel >= 2.4.19

%description static
This package contains static libraries for developing with gdome2.

%description static -l pl
Pakiet ten zawiera statyczne biblioteki potrzebne do rozwiajania
oprogramowania opartego o gdome2.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS ChangeLog README gtk-doc/html/*.html
%attr(755,root,root) %{_bindir}/gdome-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/*
%{_mandir}/man1/gdome-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gdome2.spec,v $
Revision 1.5  2002/09/03 21:41:07  kloczek
- more macros and few cosmetics.

Revision 1.4  2002/09/03 21:38:34  kloczek
- updated to 0.7.2: bug fixes,
- BuildRequires: libxml2-devel >= 2.4.21.

Revision 1.3  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.2  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.1  2002/05/20 13:31:42  malekith
- initial; based on spec from tarball


* Sun Mar 31 2002 Paolo Casarini <paolo@casarini.org>
  - updated descriptions and summaries
* Sat Dec 15 2001 Paolo Casarini <paolo@casarini.org>
  - updated descriptions and summaries
* Tue Oct 23 2001 Paolo Casarini <paolo@casarini.org>
  - added the gdome-config.1 man page
* Mon Aug 6 2001 Paolo Casarini <paolo@casarini.org>
  - Merge of the Andrew release with mine
* Thu Aug 2 2001 Andrew Chatham <andrew.chatham@duke.edu>
  - Spec file created
* Tue Jul 3 2001 Paolo Casarini <paolo@casarini.org>
  - Initial release
